Page MenuHomePhabricator

Make Civi CI job run on civicrm, drupal, and vendor (DonationInterface and SmashPig) repos
Closed, ResolvedPublic1 Story Points

Description

The issue here is that the zuul-cloner will not pull in the correct patch to be tested. Instead, it will checkout the crm/ directory at current master, and submodule update these subdirectories to current master as well.

If we clone each repo with zuul-cloner, we get the correct behavior, because the ZUUL_CHANGE environment variable will apply to the repo with the unmerged patch. However, this means we have to clone each submodule explicitly, and maintain the CI job as we add submodules.

Details

Related Gerrit Patches:
integration/config : masterCRM job can be run on submodules

Event Timeline

awight created this task.Mar 7 2015, 9:13 PM
awight claimed this task.
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added subscribers: awight, atgo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2015, 9:13 PM
awight renamed this task from Make Civi CI job run on civicrm, drupal, and vendor repos to Make Civi CI job run on civicrm, drupal, and vendor (DonationInterface and SmashPig) repos.Mar 7 2015, 9:14 PM
awight set Security to None.
awight updated the task description. (Show Details)Mar 7 2015, 11:04 PM

Change 195074 had a related patch set uploaded (by Awight):
CRM job can be run on submodules

https://gerrit.wikimedia.org/r/195074

Change 195074 abandoned by Awight:
CRM job can be run on submodules

Reason:
squashed into the previous patch

https://gerrit.wikimedia.org/r/195074

awight closed this task as Resolved.Mar 19 2015, 6:42 PM

Confirmed that the job runs on all subrepos, and the correct change is cloned in each case.

TODO: It would be very nice if we could make this job also run on DonationInterface changes, directly.

mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM